---
layout: default
title: CAS - Home
---

# Enterprise Single Sign-On

* Java (Spring Webflow/MVC servlet) server component
* Pluggable authentication support (LDAP, Database, X.509, MFA)
* Support for multiple protocols (CAS, SAML, OAuth, OpenID, OIDC)
* Cross-platform client support (Java, .Net, PHP, Perl, Apache, etc)
* Integrates with uPortal, Liferay, BlueSocket, Moodle, and Google Apps to name a few

CAS provides a friendly open source community that actively supports and contributes to the project.
While the project is rooted in higher-ed open source, it has grown to an international audience spanning
Fortune 500 companies and small special-purpose installations.


## Getting Started
We recommend reading the following documentation in order to plan and execute a CAS deployment.

* [Architecture](planning/Architecture.html)
* [Installation Requirements](planning/Installation-Requirements.html)
* [Overlay Installation](installation/Maven-Overlay-Installation.html)
* [Authentication](installation/Configuring-Authentication-Components.html)
* [Attribute Release](integration/Attribute-Release.html)

## Demo
The CAS web application is available for demo at [https://jasigcas.herokuapp.com/cas](https://jasigcas.herokuapp.com/cas)

## Development
CAS development is powered by: <br/>

<a href="http://www.jetbrains.com/idea/" target="_blank"><img src="../images/intellijidea.gif" valign="middle" style="vertical-align:middle"></a>

